Page MenuHomePhabricator

Refactor the lineardoc.js to to small files
Closed, ResolvedPublic

Description

The parser, builder, Doc, TextBlock classes can be in their on files. Now the lineardoc.js is 1200+ lines.

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterRefactor lineardoc module to multiple small files

Event Timeline

santhosh created this task.Nov 26 2014, 1:11 PM
santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh added a project: ContentTranslation.
santhosh changed Security from none to None.
santhosh added a subscriber: santhosh.

Change 176325 had a related patch set uploaded (by Santhosh):
Refactor lineardoc module to multiple small files

https://gerrit.wikimedia.org/r/176325

Patch-For-Review

santhosh claimed this task.Nov 28 2014, 6:53 AM
santhosh triaged this task as Medium priority.
santhosh moved this task from Backlog to In Review on the LE-Sprint-79 board.

Change 176325 merged by jenkins-bot:
Refactor lineardoc module to multiple small files

https://gerrit.wikimedia.org/r/176325

santhosh closed this task as Resolved.Dec 4 2014, 1:28 PM
santhosh moved this task from In Review to Done on the LE-Sprint-79 board.
santhosh closed subtask T76189: Annotation mapping for MT as Resolved.